X2Go Bug report logs - #666
point out that x2gobroker is not a security feature

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Date: Fri, 7 Nov 2014 00:00:02 UTC

Severity: wishlist

Tags: patch, pending

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#666: X2Go issue (in src:x2gobroker) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 666@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 30 Mar 2015 15:00:01 +0000
Resent-Message-ID: <handler.666.B666.142772748119772@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 666
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: patch
Received: via spool by 666-submit@bugs.x2go.org id=B666.142772748119772
          (code B ref 666); Mon, 30 Mar 2015 15:00:01 +0000
Received: (at 666) by bugs.x2go.org; 30 Mar 2015 14:58:01 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 748815DAC8; Mon, 30 Mar 2015 16:57:57 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 666-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 666@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150330145758.748815DAC8@ymir.das-netzwerkteam.de>
Date: Mon, 30 Mar 2015 16:57:57 +0200 (CEST)
tag #666 pending
fixed #666 0.0.3.0
thanks

Hello,

X2Go issue #666 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=6652693

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 6652693c1fe47dbc53f84db84fab34f70485951a
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Mar 30 16:57:56 2015 +0200

    Add security notice / disclaimer to x2gbroker.1 man page as suggested by Stefan Baur. (Fixes: #666).

diff --git a/debian/changelog b/debian/changelog
index 8ac74a1..a0640e5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -283,6 +283,8 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - man pages: Update date.
     - If non-load-balanced session profiles reference a non-reachable host,
       hand-back the system's hostname to X2Go Client / Python X2Go.
+    - Add security notice / disclaimer to x2gbroker.1 man page as suggested
+      by Stefan Baur. (Fixes: #666).
   * debian/control:
     + Provide separate bin:package for SSH brokerage: x2gobroker-ssh.
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 17 00:11:09 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.